Start Matrix Calculation

POST
https://api.woosmap.com/distance/matrix/async

Start an asynchronous matrix calculation.

Rate limit: 20/1s

Ratelimit: 20/1s

Authorization

key
apiKey query

Public key of the project usually starts with woos-

private_key
apiKey query

Private key with or without write permission.

X-Api-Key
apiKey header

Private key with or without write permission.

Request Body

application/json
origins
string required

The starting points. You can supply one or more locations, in the form of latitude,longitude coordinates, separated by the pipe character |. Ensure that no space exists between the latitude and longitude values.

destinations
string required

The ending points. You can supply one or more locations, in the form of latitude,longitude coordinates, separated by the pipe character |. Ensure that no space exists between the latitude and longitude values.

mode
string Defaults to driving

Specifies the mode of transport to use when calculating distance

Available options: driving, truck
Example
Example
JSON
        
{
"origins": "48.73534,2.368308|48.73534,2.368308",
"destinations": "48.83534,2.368308",
"mode": "driving"
}

Response

200 application/json

Successful Response

matrix_id
string required

Unique identifier for the matrix requested, this will be used to check the status and retrieve the completed calculation.

status
string required

Status of the matrix calculation

Show 5 enum values Hide 5 enum values
accepted
inProgress
completed
timeout
error

Errors

401

Unable to locate credentials.

application/json
detail
string required
402

Out of free quota.

application/json
detail
string required
403

Credentials found, but not matching.

application/json
detail
string required
422

Validation Error

application/json
detail
object[]
Show 3 propertiesHide 3 properties
detail. loc
any[] required
detail. msg
string required
detail. type
string required
429

Rate limit reached

application/json
details
string required
        curl -L 'https://api.woosmap.com/distance/matrix/async?private_key=YOUR_PRIVATE_API_KEY' \
-H 'content-type: application/json' \
-d '{
  "origins": "48.73534,2.368308|48.73534,2.368308",
  "destinations": "48.83534,2.368308",
  "mode": "driving"
}'

    
        const myHeaders = new Headers();
myHeaders.append("content-type", "application/json");

const raw = JSON.stringify({
  "origins": "48.73534,2.368308|48.73534,2.368308",
  "destinations": "48.83534,2.368308",
  "mode": "driving"
});

const requestOptions = {
  method: "POST",
  headers: myHeaders,
  body: raw,
  redirect: "follow"
};

fetch("https://api.woosmap.com/distance/matrix/async?private_key=YOUR_PRIVATE_API_KEY", requestOptions)
  .then((response) => response.text())
  .then((result) => console.log(result))
  .catch((error) => console.error(error));

    
        import requests
import json

url = "https://api.woosmap.com/distance/matrix/async?private_key=YOUR_PRIVATE_API_KEY"

payload = json.dumps({
    "origins": "48.73534,2.368308|48.73534,2.368308",
    "destinations": "48.83534,2.368308",
    "mode": "driving"
})
headers = {
    'content-type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)


    
        
{
"matrix_id": "39585bfc-59cc-478c-9b87-12685c9b880c",
"status": "accepted"
}
Was this helpful?